.knowledge-block{
    margin: 50px 0 30px;
    position: relative;
}

.knowledge-block .container {
    position: relative;
    z-index: 1;
}

.knowledge-block .block-heading {
    color: var(--clr-white);
}

.accordionItemWrap{
    background-color: var(--clr-black);
    color: var(--clr-white);
    transition: all ease 0.3s;
    padding: 15px 20px;
    border-radius: 12px;
    border: 1px solid var(--clr-white);
    position: relative;
    overflow: hidden;
    margin-bottom: 12px;
    cursor: pointer;
}

.accordionItemWrap i.fa-solid.fa-plus{
    margin-left: 15px;
}

span.dotBullet {
    width: 0;
    height: 0;
    background: #5A7090;
    border-radius: 5px;
    display: block;
    padding: 5px;
    margin-top: 10px;
    margin-right: 15px;
    transition: all ease 0.3s;
}

.accordionItemWrap:last-of-type{
    margin-bottom: 0;
}

.accordionItemWrap .accordionItemBox{
    display: none;
    border: 1px solid #ffffff40;
    border-radius: 12px;
}

.accordionItemWrap.active{
    background-color: var(--clr-primary);
    color: var(--clr-black);
}

.accordionItemWrap h3{
    margin-bottom: 0;
    font-size: var(--text-body, 20px);
}

.accordionItemWrap.active h3{
    color: var(--clr-black);
}

.accordionItemWrap .acc-content{
    display: none;
    margin-top: 12px;
}

.accordionItemWrap.active span.dotBullet{
    background-color: var(--clr-white);
}

.accordionItemWrap .icon{
    height: 24px;
    border-radius: 100%;
    background-color: var(--clr-primary);
    color: var(--clr-black);
    display: flex;
    align-items: center;
    justify-content: center;
    line-height: 1;
    transform: rotate(-45deg);
    transition: background 0.2s, transform 0.15s;
    flex: 0 0 24px;
    max-width: 100%;
    font-size: 16px;
}

.accordionItemWrap.active .icon{
    color: var(--clr-primary);
    background-color: var(--clr-black);
    transform: rotate(135deg);
}

.accordionBox {
    cursor: pointer;
    position: relative;
    border-radius: 12px;
    overflow: hidden;
    display: none;
    border: 1px solid #ffffff40;
}

.cta-link{
    margin-top: 12px;
    display: block;
}

.cta-link a{
    color: var(--clr-black);
    font-weight: 800;
    display: inline-block;
	text-decoration: none;
}

.cta-link a:hover{
    color: var(--clr-white);
}

.accordionBox.active{
    display: block;
}

.video-box, .postsWrap .post-img{
    position: relative;
    width: 100%;
    aspect-ratio: 1 / 1;
    overflow: hidden;
    border-radius: 12px;
}

.overlayBox svg{
    width: 36px;
    height: auto;
    margin-left: 15px;
}

.postsWrap{
    position: relative;
    overflow: hidden;
}

.postsWrap > a{
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 5;
}

.postsWrap .title{
    font-weight: 700;
	color: var(--clr-black);
}

.postsWrap .post-img img{
    position: absolute;
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center center;
    z-index: 1;
}

.postsWrap .overlayBox{
    position: absolute;
    z-index: 2;
    background-color: var(--clr-white);
    left: 30px;
    right: 30px;
    bottom: 30px;
    padding: 15px 30px;
    border-radius: 12px;
    overflow: hidden;

}

/* Video fills square */
.video-js {
    width: 100% !important;
    height: 100% !important;
    object-fit: cover;
    object-position: center center;
}

/* Hide controls completely */
.video-js .vjs-control-bar {
    display: none !important;
}

/* Cover image */
.video-cover {
    position: absolute;
    inset: 0;
    cursor: pointer;
    z-index: 2;
}

.video-js video{
    width: 100% !important;
    height: 100% !important;
    object-fit: cover;
    object-position: center center;
}

.video-cover img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

/* Play icon */
.play-icon {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background: rgba(0,0,0,0.6);
    color: var(--clr-white);
    width: 60px;
    height: 60px;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 22px;
}

@media (min-width: 768px){
    .knowledge-block{
        margin: 80px 0 50px;
    }
}

@media (min-width: 1200px){
    .knowledge-block{
        margin: 100px 0 70px;
    }
}